# default point cloud color
defaultPointCloudColorRed=0
defaultPointCloudColorGreen=128
defaultPointCloudColorBlue=0

# alternate length for objects that would be generated with length == 0 and not displayed
# the length is in meters
minimumObjectLength=0.1

# thresholds for the top surface of a frustum to decide whether a frustum should
# be detected as cylinder (if too parallel edges) or cone (if too small tip)
# the values are in relation to the base surface -> "0.1" means "0.1 * baseRadius"
maximumTopRadiusForConeInsteadOfFrustum=0.1
minimumTopRadiusForCylinderInsteadOfFrustum=0.9

# default parameters for the clustering algorithm
defaultPointDistance=0.003
defaultMinimumNeighbors=4
defaultOctreeDepth=10
defaultRemoveNoiseCluster=false

# default parameters for the fitting algorithm
defaultFittingPrecision=1000
# the fitting option can be set to "MAXIMUM" or "AVERAGE"
defaultFittingOption=MAXIMUM

# translations
arraysTooShortError=The arrays are too short!
cannotCastBooleanError=Cannot cast the variable to 'boolean'
cannotCastFloatError=Cannot cast the variable to 'float'
cannotCastIntegerError=Cannot cast the variable to 'int'
cannotFindBooleanError=Cannot find the 'boolean' variable
cannotFindFloatError=Cannot find the 'float' variable
cannotFindIntegerError=Cannot find the 'int' variable
couldNotClusterPointCloudError=Could not cluster point cloud!
couldNotSplitPointCloudError=Could not split point cloud!
couldNotUsePointCloudsError=Could not use point clouds!
differentArrayLengthsError=The arrays have different lengths!
distanceMustBeFloatError='distance' must be a floating point number!
emptyPointCloudError=Empty point cloud can not be fitted!
fileAlreadyExists=The file does already exist. Do you want to overwrite it?
fileCouldNotBeRead="File could not be read
fileCouldNotBeWritten=File could not be written
fileMustBeRealFileAndExistError=The opened file must be a real file and must exist!
fileOpenError=File Open Error
fileSaveError=File Save Error
fitAverage=Fit to average radius
fitMaximum=Fit to maximum radius
inputError=Input Error
invalidLineInFileError=File contains invalid line
lineDoesNotContainThreeDoublesError=The line contains less than three double values
keepPointCloud=Keep old point cloud?
keepPointCloudQuestion=Do you want to keep or remove the old point cloud?
keepPointClouds=Keep old point cloud?
keepPointCloudsQuestion=Do you want to keep or remove the old point clouds?
keepQuestionKeepCluster=Click 'Keep' to add the clusters as new point clouds and keep the old point cloud.
keepQuestionKeepFitMultiple=Click 'Keep' to add the fitting result as new objects and keep the old point clouds.
keepQuestionKeepFitOne=Click 'Keep' to add the fitting result as a new object and keep the old point cloud.
keepQuestionKeepMerge=Click 'Keep' to add the merging result as a new point cloud and keep the old point clouds.
keepQuestionRemoveCluster=Click 'Remove' to add the clusters as new point clouds and remove the old point cloud.
keepQuestionRemoveFitMultiple=Click 'Remove' to add the fitting result as new objects and remove the old point clouds.
keepQuestionRemoveFitOne=Click 'Remove' to add the fitting result as a new object and remove the old point cloud.
keepQuestionRemoveMerge=Click 'Remove' to add the merging result as a new point cloud and remove the old point clouds.
minimumNeighbors=Minimum neighbors
minimumNeighborsMustBeIntegerError='minimumNeighbors' must be an integer number!
minimumPointCloudNumber=Minimum number of expected point clouds
nullArraysError=One of the arrays or both arrays are null!
nullPointCloudError=Point cloud may not be null!
nullShapeError=Shape cannot be transformed (shape is null)!
nullVectorError=Vector data may not be null!
octreeDepth=Octree depth
octreeDepthMustBeIntegerError='octreeDepth' must be an integer number!
overwriteFile=Overwrite file?
parameterError=Wrong usage of dimension parameter!
pointCloudClustering=Point Cloud Clustering
pointCloudFitting=Point Cloud Fitting
pointDistance=Point distance
precision=Precision
precisionMustBeIntegerError='precision' must be an integer number!
removeNoiseCluster=Remove noise cluster
selectPointCloud=Please select exactly one point cloud!
selectPointCloudAndPlane=Please select exactly one point cloud and one plane!
unknownShapeError=Unknown shape type!
unselectWrongObjects=Please unselect all non-point-cloud objects!
vectorLengthError=Lengths have different lengths!